%define desktop_file 1
%define desktop_file_utils_version 0.2.93

Summary: The Printing System Switcher for Red Hat Linux
Name: redhat-switch-printer
Version: 0.5.16
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

Requires: newt
Requires: /usr/sbin/alternatives
Requires: python >= 2.2

BuildPreReq: python >= 2.2
BuildPreReq: gettext
BuildPreReq: automake >= 1.6
BuildPreReq: automake < 1.7

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
redhat-switch-printer is the Printing System Switcher for Red Hat Linux.
It enables users to easily switch between various printing system
that they have installed.

%package gnome
Summary: A GUI interface for Printing System Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: libglade2
Requires: pygtk2-libglade
Requires: pygtk2
Requires: python >= 2.2
Requires: /usr/sbin/alternatives

%description gnome
The redhat-switch-printer-gnome package contains a GNOME interface for the
The Printing System Switcher.

%prep
%setup -q

%install
rm -rf %{buildroot}
%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/* $RPM_BUILD_ROOT%{_datadir}/applications
%endif

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/switchprinter_tui.py*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/*

%files gnome
%defattr(-,root,root)
%if %{desktop_file}
%{_datadir}/applications/*
%else
/etc/X11/sysconfig/*.desktop
/etc/X11/applnk/System/*.desktop
%endif
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/switchprinter_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/redhat-switch-printer.glade

%changelog
* Mon Feb  3 2003 Than Ngo <than@redhat.com> 0.5.16-1
- 0.5.16

* Tue Dec 24 2002 Than Ngo <than@redhat.com> 0.5.15-1
- release 0.5.15

* Wed Dec  4 2002 Than Ngo <than@redhat.com> 0.5.14-1
- release 0.5.14

* Sat Nov  9 2002 Than Ngo <than@redhat.com> 0.5.13-1
- update po files
- cleanup Makefile

* Tue Sep  3 2002 Than Ngo <than@redhat.com> 0.5.12-1
- updated po files

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 0.5.11-1
- Fix insconsistant interface

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 0.5.10-1
- Fixed catagory

* Tue Aug  6 2002 Than Ngo <than@redhat.com> 0.5.9-1
- Fixed a bug in warningDialog

* Fri Jul 26 2002 Than Ngo <than@redhat.com> 0.5.8-1
- Use pam_timestamp.so

* Thu Jul 25 2002 Than Ngo <than@redhat.com> 0.5.7-1
- new desktop file
- update po files

* Thu Jul 11 2002 Than Ngo <than@redhat.com> 0.5.6-1
- fix a bug in loading image on startup (bug #68424)

* Wed Jun 12 2002 Than Ngo <than@redhat.com> 0.5.5-1
- fixed traceback bug

* Wed Jun 12 2002 Harald Hoyer <harald@redhat.de>
- fallback for C locale

* Mon Jun  3 2002 Harald Hoyer <harald@redhat.de>
- fixed automake requirement
- dropped gnome2 dependency

* Fri May 31 2002 Harald Hoyer <harald@redhat.de>
- updated "Requires"

* Wed May 29 2002 Harald Hoyer <harald@redhat.de>
- migrated to gtk2, python2

* Wed May 29 2002 Phil Knirsch <pknirsch@redhat.com> 0.5.2-2
- Fixed to build in new environment.

* Mon Apr 15 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.5.2-1
- Update translations

* Wed Apr 10 2002 Than Ngo <than@redhat.com> 0.5.1-1
- release 0.5.1
- update translations

* Mon Apr  8 2002 Than Ngo <than@redhat.com> 0.5.0-1
- release 0.5.0
- update translations

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 0.4.0-1
- release 0.4.0
- update translations

* Mon Mar  4 2002 Than Ngo <than@redhat.com> 0.1.0-1
- initial coding/packaging
